Subject: Re: linux-next: Tree for Aug 22

From: Stephen Rothwell <[email-masked]>
Date: Wed, 23 Aug 2017 05:12:16 +1000

Hi Paul,

On Tue, 22 Aug 2017 11:59:23 -0700 "Paul E. McKenney" <[email-masked]> wrote:
>
> On Wed, Aug 23, 2017 at 04:14:24AM +1000, Stephen Rothwell wrote:
> > Hi all,
> > 
> > On Wed, 23 Aug 2017 04:11:17 +1000 Stephen Rothwell <[email-masked]> wrote:  
> > >
> > > This tree fails to boot on my qemu test.  2 boot logs attached.
> > > 
> > > Paul, Nick, is this the same/similar to the other RCU/lockup bug you
> > > are chasing.  This is the first time I have seen this failure.
> > > 
> > > This qemu boot is in full emulation mode if I add --enable-kvm to the
> > > qemu command, it does not fail to boot.  (the test just boots and then shuts down)  
> > 
> > Boot logs attached this time.  
> 
> That does not look good!
> 
> Given that the hard lockup happened during timer lock acquisition, I
> have to ask if you built with lockdep...

$ grep LOCKDEP .config
CONFIG_LOCKDEP_SUPPORT=y

so, no.  This is just a powerpc pseries_le_defconfig build.

-- 
Cheers,
Stephen Rothwell